Package org.apache.solr.common.cloud

# Interface Slice.SliceStateProps

Enclosing class:
  `Slice`

public static interface Slice.SliceStateProps
JSON properties related to a slice's state.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LEADER`
`static final String`
`PARENT`
`static final String`
`RANGE`
`static final String`
`REPLICAS`
`static final String`
`STATE_PROP`

## Field Details

### STATE_PROP

static final String STATE_PROP

See Also:
  - Constant Field Values

### REPLICAS

static final String REPLICAS

See Also:
  - Constant Field Values

### RANGE

static final String RANGE

See Also:
  - Constant Field Values

### LEADER

static final String LEADER

See Also:
  - Constant Field Values

### PARENT

static final String PARENT

See Also:
  - Constant Field Values